/** I N C L U D E S **********************************************/
#include "typedefs.h"

/** S T R U C T U R E S ******************************************/
//Pour definir les flags
typedef struct {
  unsigned alarmon:1;
  unsigned controlcode:1;
  unsigned inverse:1;
  unsigned sonne:1;
  unsigned b4:1;
  unsigned b5:1;
  unsigned b6:1;
  unsigned b7:1;
 } FLAGBITS;

typedef struct DATA_PACKET
{
    byte _byte[USBGEN_EP_SIZE];  //For byte access
} DATA_PACKET;

//Pour definition des fontes de char
typedef struct {
 unsigned int chr_asc;		// num ascii correspondant
 unsigned int chr_def[8];	// 8 colonnes de points
} chr;


/** P U B L I C  P R O T O T Y P E S ****************************/
void UserInit(void);
void Printat(unsigned char, unsigned char);
void InttoStr2(unsigned int,unsigned char);
void InttoStr4(unsigned int,unsigned char);
void ProcessIO(void);
void Hex(unsigned int val);
void Cls(void);
void Beep(void);
void Antireb(void);
unsigned char Selection(unsigned char min, unsigned char max);
void SetMessage(unsigned char no);
