//Texte d'origine en memoire data Eeprom
#pragma romdata eeprom = 0xF00000
  rom unsigned char msg[255] = "*** Journal Lumineux - Il est#H *** #4 ELECTRONIQUE-PRATIQUE  ***** #I #I #3 Date #D #2\0";
#pragma romdata

// #H -> Affichage de l'heure du type HH:MM:SS
// #D -> Affichage de la date Joursemaine dd mois annee en texte
// #I -> Inverse video
// #0,#1,#2,#3,#4 -> Vitesse lente a rapide
// #P -> Petits caracteres de 6 colonnes
// #N -> Caracteres normaux 8 colonnes
// #T -> Temperature

#pragma romdata font_table

const rom chr car8[255] = {
 { 32, { 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 33, { 0xFFFF, 0xFFFF, 0xFFF1, 0xFE40, 0xFE40, 0xFFF1, 0xFFFF, 0xFFFF} },
 { 34, { 0xFFFF, 0xFFF8, 0xFFF8, 0xFFFF, 0xFFFF, 0xFFF8, 0xFFF8, 0xFFFF} },
 { 35, { 0xFFFF, 0xFFBB, 0xFE00, 0xFE00, 0xFFBB, 0xFE00, 0xFE00, 0xFFBB} },
 { 36, { 0xFF73, 0xFE61, 0xFECD, 0xFC58, 0xFC58, 0xFEDD, 0xFE19, 0xFF3B} },
 { 37, { 0xFFFD, 0xFF38, 0xFF9A, 0xFEC8, 0xFC65, 0xFD73, 0xFC79, 0xFEFF} },
 { 38, { 0xFFFF, 0xFF09, 0xFE00, 0xFEE6, 0xFED0, 0xFF19, 0xFE1F, 0xFEDF} },
 { 39, { 0xFFFF, 0xFFFF, 0xFFFF, 0xFFF8, 0xFFF8, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 40, { 0xFFFF, 0xFFFF, 0xFF07, 0xFE03, 0xFCF9, 0xFDFD, 0xFFFF, 0xFFFF} },
 { 41, { 0xFFFF, 0xFFFF, 0xFFFF, 0xFCF9, 0xFC01, 0xFF07, 0xFFFF, 0xFFFF} },
 { 42, { 0xFFFF, 0xFFEF, 0xFFAB, 0xFF83, 0xFFC7, 0xFF83, 0xFFAB, 0xFFEF} },
 { 43, { 0xFFFF, 0xFFEF, 0xFFEF, 0xFF83, 0xFF83, 0xFFEF, 0xFFEF, 0xFFFF} },
 { 44, { 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFE3F, 0xFC3F, 0xFFFF, 0xFFFF} },
 { 45, { 0xFFFF, 0xFFEF, 0xFFEF, 0xFFEF, 0xFFEF, 0xFFEF, 0xFFEF, 0xFFFF} },
 { 46, { 0xFFFF, 0xFFFF, 0xFFFF, 0xFE7F, 0xFE7F, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 47, { 0xFFFF, 0xFCFF, 0xFC3F, 0xFF0F, 0xFFC3, 0xFFF0, 0xFFFC, 0xFFFF} },
 { 48, { 0xFFFF, 0xFFFF, 0xFF01, 0xFE00, 0xFEDE, 0xFEEE, 0xFE00, 0xFF01} },
 { 49, { 0xFFFF, 0xFFFB, 0xFFFB, 0xFFF9, 0xFE00, 0xFE00, 0xFFFF, 0xFFFF} },
 { 50, { 0xFFFF, 0xFE79, 0xFE38, 0xFE9E, 0xFECE, 0xFEE0, 0xFEF1, 0xFFFF} },
 { 51, { 0xFFFF, 0xFF39, 0xFE38, 0xFEEE, 0xFEEE, 0xFE00, 0xFF11, 0xFFFF} },
 { 52, { 0xFFFF, 0xFF9F, 0xFF80, 0xFFB0, 0xFFBF, 0xFE03, 0xFE03, 0xFFBF} },
 { 53, { 0xFFFF, 0xFEE0, 0xFEE0, 0xFEEE, 0xFE6E, 0xFF0E, 0xFF9E, 0xFFFF} },
 { 54, { 0xFFFF, 0xFF07, 0xFE03, 0xFEF0, 0xFEF4, 0xFE06, 0xFF0F, 0xFFFF} },
 { 55, { 0xFFFF, 0xFFFE, 0xFE3E, 0xFE0E, 0xFFC2, 0xFFF0, 0xFFFC, 0xFFFF} },
 { 56, { 0xFFFF, 0xFF11, 0xFE00, 0xFEE6, 0xFECE, 0xFE00, 0xFF11, 0xFFFF} },
 { 57, { 0xFFFF, 0xFFE1, 0xFEC0, 0xFE5E, 0xFE1E, 0xFF80, 0xFFC1, 0xFFFF} },
 { 58, { 0xFFFF, 0xFFFF, 0xFFFF, 0xFE73, 0xFE73, 0xFE73, 0xFFFF, 0xFFFF} },
 { 59, { 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFE67, 0xFC67, 0xFFFF, 0xFFFF} },
 { 60, { 0xFFFF, 0xFFEF, 0xFFC7, 0xFF93, 0xFF39, 0xFE7C, 0xFEFE, 0xFFFF} },
 { 61, { 0xFFFF, 0xFFD7, 0xFFD7, 0xFFD7, 0xFFD7, 0xFFD7, 0xFFD7, 0xFFFF} },
 { 62, { 0xFFFF, 0xFEFE, 0xFE7C, 0xFF39, 0xFF93, 0xFFC7, 0xFFEF, 0xFFFF} },
 { 63, { 0xFFFF, 0xFFF9, 0xFFF8, 0xFE4E, 0xFE46, 0xFFF0, 0xFFF9, 0xFFFF} },
 { 64, { 0xFF01, 0xFE00, 0xFEFE, 0xFECE, 0xFE86, 0xFEB6, 0xFE80, 0xFE81} },
 { 65, { 0xFFFF, 0xFE03, 0xFE01, 0xFFDC, 0xFFDC, 0xFE01, 0xFE03, 0xFFFF} },
 { 66, { 0xFFFF, 0xFE00, 0xFE00, 0xFEEE, 0xFEEE, 0xFE00, 0xFF11, 0xFFFF} },
 { 67, { 0xFFFF, 0xFF01, 0xFE00, 0xFEFE, 0xFEFE, 0xFE38, 0xFF39, 0xFFFF} },
 { 68, { 0xFFFF, 0xFE00, 0xFE00, 0xFEFE, 0xFE7C, 0xFF01, 0xFF83, 0xFFFF} },
 { 69, { 0xFFFF, 0xFE00, 0xFE00, 0xFEEE, 0xFEEE, 0xFEEE, 0xFEFE, 0xFFFF} },
 { 70, { 0xFFFF, 0xFE00, 0xFE00, 0xFFEE, 0xFFEE, 0xFFEE, 0xFFFE, 0xFFFF} },
 { 71, { 0xFFFF, 0xFF01, 0xFE00, 0xFEFE, 0xFEDE, 0xFE18, 0xFE19, 0xFFFF} },
 { 72, { 0xFFFF, 0xFE00, 0xFE00, 0xFFEF, 0xFFEF, 0xFE00, 0xFE00, 0xFFFF} },
 { 73, { 0xFFFF, 0xFFFF, 0xFEFE, 0xFE00, 0xFE00, 0xFEFE, 0xFFFF, 0xFFFF} },
 { 74, { 0xFFFF, 0xFF3F, 0xFE3F, 0xFEFF, 0xFEFF, 0xFE00, 0xFF00, 0xFFFF} },
 { 75, { 0xFFFF, 0xFE00, 0xFE00, 0xFFEF, 0xFF83, 0xFE10, 0xFE7C, 0xFFFF} },
 { 76, { 0xFFFF, 0xFE00, 0xFE00, 0xFEFF, 0xFEFF, 0xFEFF, 0xFEFF, 0xFFFF} },
 { 77, { 0xFFFF, 0xFE00, 0xFE00, 0xFFFB, 0xFFC7, 0xFFFB, 0xFE00, 0xFE00} },
 { 78, { 0xFFFF, 0xFE00, 0xFE00, 0xFFF3, 0xFFE7, 0xFFCF, 0xFE00, 0xFE00} },
 { 79, { 0xFFFF, 0xFF01, 0xFE00, 0xFEFE, 0xFEFE, 0xFE00, 0xFF01, 0xFFFF} },
 { 80, { 0xFFFF, 0xFE00, 0xFE00, 0xFFEE, 0xFFEE, 0xFFE0, 0xFFF1, 0xFFFF} },
 { 81, { 0xFFFF, 0xFF01, 0xFE00, 0xFEFE, 0xFCFE, 0xFC00, 0xFF01, 0xFFFF} },
 { 82, { 0xFFFF, 0xFE00, 0xFE00, 0xFFEE, 0xFFCE, 0xFE00, 0xFE31, 0xFFFF} },
 { 83, { 0xFFFF, 0xFF79, 0xFE70, 0xFEE6, 0xFECE, 0xFE1C, 0xFF3D, 0xFFFF} },
 { 84, { 0xFFFF, 0xFFFE, 0xFFFE, 0xFE00, 0xFE00, 0xFFFE, 0xFFFE, 0xFFFF} },
 { 85, { 0xFFFF, 0xFF00, 0xFE00, 0xFEFF, 0xFEFF, 0xFE00, 0xFF00, 0xFFFF} },
 { 86, { 0xFFFF, 0xFF80, 0xFF00, 0xFE7F, 0xFE7F, 0xFF00, 0xFF80, 0xFFFF} },
 { 87, { 0xFFFF, 0xFFC0, 0xFE00, 0xFE3F, 0xFFC7, 0xFE3F, 0xFE00, 0xFFC0} },
 { 88, { 0xFFFF, 0xFE3C, 0xFE18, 0xFFE3, 0xFFC7, 0xFE18, 0xFE3C, 0xFFFF} },
 { 89, { 0xFFFF, 0xFFF0, 0xFFE0, 0xFE0F, 0xFE0F, 0xFFE0, 0xFFF0, 0xFFFF} },
 { 90, { 0xFFFF, 0xFE3E, 0xFE1E, 0xFECE, 0xFEE6, 0xFEF0, 0xFEF8, 0xFFFF} },
 { 91, { 0xFFFF, 0xFFFF, 0xFC00, 0xFC00, 0xFDFE, 0xFDFE, 0xFFFF, 0xFFFF} },
 { 92, { 0xFFFF, 0xFFFC, 0xFFF0, 0xFFC3, 0xFF0F, 0xFC3F, 0xFCFF, 0xFFFF} },
 { 93, { 0xFFFF, 0xFFFF, 0xFDFE, 0xFDFE, 0xFC00, 0xFC00, 0xFFFF, 0xFFFF} },
 { 97, { 0xFFFF, 0xFF3F, 0xFE1B, 0xFEDB, 0xFEDB, 0xFE03, 0xFE07, 0xFFFF} },
 { 98, { 0xFFFF, 0xFE00, 0xFE00, 0xFEFB, 0xFEFB, 0xFE03, 0xFF07, 0xFFFF} },
 { 99, { 0xFFFF, 0xFF07, 0xFE03, 0xFEFB, 0xFEFB, 0xFE73, 0xFF77, 0xFFFF} },
 { 100, { 0xFFFF, 0xFF07, 0xFE03, 0xFEFB, 0xFEFB, 0xFE00, 0xFE00, 0xFFFF} },
 { 101, { 0xFFFF, 0xFF07, 0xFE03, 0xFEDB, 0xFEDB, 0xFEC3, 0xFFC7, 0xFFFF} },
 { 102, { 0xFFFF, 0xFFEF, 0xFE01, 0xFE00, 0xFFEE, 0xFFEE, 0xFFEE, 0xFFFF} },
 { 103, { 0xFFFF, 0xFD87, 0xFD03, 0xFD7B, 0xFD7B, 0xFC03, 0xFE03, 0xFFFF} },
 { 104, { 0xFFFF, 0xFE00, 0xFE00, 0xFFFB, 0xFFFB, 0xFE03, 0xFE07, 0xFFFF} },
 { 105, { 0xFFFF, 0xFEFB, 0xFEFB, 0xFE02, 0xFE02, 0xFEFF, 0xFEFF, 0xFFFF} },
 { 106, { 0xFFFF, 0xFFFF, 0xFFFF, 0xFDFB, 0xFC02, 0xFE02, 0xFFFF, 0xFFFF} },
 { 107, { 0xFFFF, 0xFE00, 0xFE00, 0xFFDF, 0xFF8F, 0xFE23, 0xFE73, 0xFFFF} },
 { 108, { 0xFFFF, 0xFEFE, 0xFEFE, 0xFE00, 0xFE00, 0xFEFF, 0xFEFF, 0xFFFF} },
 { 109, { 0xFFFF, 0xFE03, 0xFE03, 0xFFFB, 0xFF03, 0xFFFB, 0xFE03, 0xFE07} },
 { 110, { 0xFFFF, 0xFE03, 0xFE03, 0xFFFB, 0xFFFB, 0xFE03, 0xFE07, 0xFFFF} },
 { 111, { 0xFFFF, 0xFF07, 0xFE03, 0xFEFB, 0xFEFB, 0xFE03, 0xFF07, 0xFFFF} },
 { 112, { 0xFFFF, 0xFC03, 0xFC03, 0xFF7B, 0xFF7B, 0xFF03, 0xFF87, 0xFFFF} },
 { 113, { 0xFFFF, 0xFF87, 0xFF03, 0xFF7B, 0xFF7B, 0xFC03, 0xFC03, 0xFFFF} },
 { 114, { 0xFFFF, 0xFE03, 0xFE03, 0xFFEF, 0xFFF7, 0xFFF3, 0xFFF3, 0xFFFF} },
 { 115, { 0xFFFF, 0xFEE7, 0xFEC3, 0xFEDB, 0xFEDB, 0xFE1B, 0xFF3B, 0xFFFF} },
 { 116, { 0xFFFF, 0xFFFB, 0xFF00, 0xFE00, 0xFEFB, 0xFEFB, 0xFEFB, 0xFFFF} },
 { 117, { 0xFFFF, 0xFF03, 0xFE03, 0xFEFF, 0xFEFF, 0xFE03, 0xFE03, 0xFFFF} },
 { 118, { 0xFFFF, 0xFF83, 0xFF03, 0xFE7F, 0xFE7F, 0xFF03, 0xFF83, 0xFFFF} },
 { 119, { 0xFFFF, 0xFF83, 0xFE03, 0xFE7F, 0xFF87, 0xFE7F, 0xFE03, 0xFF83} },
 { 120, { 0xFFFF, 0xFE73, 0xFE23, 0xFF8F, 0xFF8F, 0xFE23, 0xFE73, 0xFFFF} },
 { 121, { 0xFFFF, 0xFF83, 0xFD03, 0xFD7F, 0xFD7F, 0xFC03, 0xFE03, 0xFFFF} },
 { 122, { 0xFFFF, 0xFE7B, 0xFE3B, 0xFE9B, 0xFECB, 0xFEE3, 0xFEF3, 0xFFFF} },	// z
 { 123, { 0xFFFF, 0xFFCF, 0xFE31, 0xFDFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF} },    // {
 { 124, { 0xFFFF, 0xFFFF, 0xFFFF, 0xFE00, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF} },    // |
 { 125, { 0xFFFF, 0xFDFE, 0xFE31, 0xFFCF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF} },    // }
 { 126, { 0xFFFF, 0xFFFF, 0xFFF9, 0xFFF6, 0xFFF6, 0xFFF9, 0xFFFF, 0xFFFF} },    // 
 { 0 , { 0, 0, 0, 0, 0, 0, 0, 0} } };

const rom chr car6[255] = {
 { 32, { 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 33, { 0xFFFF, 0xFFFF, 0xFE80, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 34, { 0xFFFF, 0xFFFC, 0xFFFF, 0xFFFC, 0xFFFF, 0xFFFF} },
 { 35, { 0xFFDB, 0xFE00, 0xFFDB, 0xFE00, 0xFFDB, 0xFFFF} },
 { 36, { 0xFF73, 0xFF6D, 0xFE00, 0xFF6D, 0xFF9B, 0xFFFF} },
 { 37, { 0xFF79, 0xFFB6, 0xFFD9, 0xFE6F, 0xFDB7, 0xFE7B} },
 { 38, { 0xFF19, 0xFEE6, 0xFEEE, 0xFED6, 0xFF39, 0xFF3F} },
 { 39, { 0xFFFF, 0xFFFF, 0xFFFC, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 40, { 0xFFFF, 0xFF03, 0xFCFC, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 41, { 0xFFFF, 0xFFFF, 0xFCFC, 0xFF03, 0xFFFF, 0xFFFF} },
 { 42, { 0xFFFF, 0xFFDB, 0xFFE7, 0xFF81, 0xFFE7, 0xFFDB} },
 { 43, { 0xFFDF, 0xFFDF, 0xFF07, 0xFFDF, 0xFFDF, 0xFFFF} },
 { 44, { 0xFFFF, 0xFC7F, 0xFE3F, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 45, { 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF} },
 { 46, { 0xFFFF, 0xFFFF, 0xFE7F, 0xFE7F, 0xFFFF, 0xFFFF} },
 { 47, { 0xFEFF, 0xFF3F, 0xFFCF, 0xFFF3, 0xFFFC, 0xFFFF} },
 { 48, { 0xFF01, 0xFEDE, 0xFEEE, 0xFEF6, 0xFF01, 0xFFFF} },
 { 49, { 0xFFFD, 0xFEFD, 0xFE00, 0xFEFF, 0xFFFF, 0xFFFF} },
 { 50, { 0xFE7D, 0xFEBE, 0xFEDE, 0xFEDE, 0xFEE1, 0xFFFF} },
 { 51, { 0xFF7D, 0xFEFE, 0xFEEE, 0xFEEE, 0xFF11, 0xFFFF} },
 { 52, { 0xFFCF, 0xFFD7, 0xFFDB, 0xFE00, 0xFFDF, 0xFFFF} },
 { 53, { 0xFF70, 0xFEF6, 0xFEF6, 0xFEF6, 0xFF0E, 0xFFFF} },
 { 54, { 0xFF03, 0xFEF5, 0xFEF6, 0xFEF6, 0xFF0F, 0xFFFF} },
 { 55, { 0xFFFE, 0xFE6E, 0xFF8E, 0xFFE6, 0xFFE8, 0xFFFF} },
 { 56, { 0xFF11, 0xFEEE, 0xFEEE, 0xFEEE, 0xFF11, 0xFFFF} },
 { 57, { 0xFFE1, 0xFEDE, 0xFEDE, 0xFEDE, 0xFF01, 0xFFFF} },
 { 58, { 0xFFFF, 0xFE73, 0xFE73, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 59, { 0xFFFF, 0xFC73, 0xFE73, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 60, { 0xFFFF, 0xFFDF, 0xFFAF, 0xFF77, 0xFEFB, 0xFFFF} },
 { 61, { 0xFFD7, 0xFFD7, 0xFFD7, 0xFFD7, 0xFFD7, 0xFFFF} },
 { 62, { 0xFFFF, 0xFEFB, 0xFF77, 0xFFAF, 0xFFDF, 0xFFFF} },
 { 63, { 0xFFFD, 0xFE9E, 0xFFEE, 0xFFEE, 0xFFF1, 0xFFFF} },
 { 'A', { 0xFE01, 0xFFDE, 0xFFDE, 0xFFDE, 0xFE01, 0xFFFF} },
 { 'B', { 0xFE00, 0xFEEE, 0xFEEE, 0xFEEE, 0xFF11, 0xFFFF} },
 { 'C', { 0xFF83, 0xFF7D, 0xFEFE, 0xFEFE, 0xFEFE, 0xFFFF} },
 { 'D', { 0xFE00, 0xFEFE, 0xFEFE, 0xFEFE, 0xFF01, 0xFFFF} },
 { 'E', { 0xFE00, 0xFEEE, 0xFEEE, 0xFEEE, 0xFEEE, 0xFFFF} },
 { 'F', { 0xFE00, 0xFFEE, 0xFFEE, 0xFFEE, 0xFFEE, 0xFFFF} },
 { 'G', { 0xFF01, 0xFEFE, 0xFEFE, 0xFEEE, 0xFE0E, 0xFFFF} },
 { 'H', { 0xFE00, 0xFFEF, 0xFFEF, 0xFFEF, 0xFE00, 0xFFFF} },
 { 'I', { 0xFFFF, 0xFEFE, 0xFE00, 0xFEFE, 0xFFFF, 0xFFFF} },	// 73
 { 'J', { 0xFFFF, 0xFEFF, 0xFEFE, 0xFF00, 0xFFFE, 0xFFFF} },
 { 'K', { 0xFE00, 0xFFD7, 0xFFBB, 0xFF7D, 0xFEFE, 0xFFFF} },
 { 'L', { 0xFE00, 0xFEFF, 0xFEFF, 0xFEFF, 0xFEFF, 0xFFFF} },
 { 'M', { 0xFE00, 0xFFFD, 0xFFE3, 0xFFFD, 0xFE00, 0xFFFF} },
 { 'N', { 0xFE00, 0xFFFB, 0xFFF7, 0xFFEF, 0xFE00, 0xFFFF} },
 { 'O', { 0xFF01, 0xFEFE, 0xFEFE, 0xFEFE, 0xFF01, 0xFFFF} },
 { 'P', { 0xFE00, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFE1, 0xFFFF} },
 { 'Q', { 0xFF01, 0xFEFE, 0xFC3E, 0xFEFE, 0xFF01, 0xFFFF} },
 { 'R', { 0xFE00, 0xFFEE, 0xFFEE, 0xFFCE, 0xFE31, 0xFFFF} },
 { 'S', { 0xFF71, 0xFEEE, 0xFEEE, 0xFEEE, 0xFF1D, 0xFFFF} },
 { 'T', { 0xFFFE, 0xFFFE, 0xFE00, 0xFFFE, 0xFFFE, 0xFFFF} },
 { 'U', { 0xFF00, 0xFEFF, 0xFEFF, 0xFEFF, 0xFF00, 0xFFFF} },
 { 'V', { 0xFFE0, 0xFF9F, 0xFE7F, 0xFF9F, 0xFFE0, 0xFFFF} },
 { 'W', { 0xFE00, 0xFF7F, 0xFF9F, 0xFF7F, 0xFE00, 0xFFFF} },
 { 'X', { 0xFE7C, 0xFFBB, 0xFFC7, 0xFFBB, 0xFE7C, 0xFFFF} },
 { 'Y', { 0xFFFC, 0xFFFB, 0xFE07, 0xFFFB, 0xFFFC, 0xFFFF} },
 { 90,  { 0xFE7E, 0xFEBE, 0xFECE, 0xFEF2, 0xFEFC, 0xFFFF} },
 { 91,  { 0xFFFF, 0xFC00, 0xFDFE, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 92,  { 0xFFFD, 0xFFF3, 0xFFCF, 0xFF3F, 0xFEFF, 0xFFFF} },
 { 93,  { 0xFFFF, 0xFFFF, 0xFDFE, 0xFC00, 0xFFFF, 0xFFFF} },
 { 94,  { 0xFFFF, 0xFFFB, 0xFFFD, 0xFFFE, 0xFFFD, 0xFFFB} },
 { 95,  { 0xFEFF, 0xFEFF, 0xFEFF, 0xFEFF, 0xFEFF, 0xFEFF} },
 { 96,  { 0xFFFF, 0xFFFE, 0xFFFD, 0xFFFB, 0xFFFF, 0xFFFF} },
 { 'a', { 0xFE01, 0xFFDE, 0xFFDE, 0xFFDE, 0xFE01, 0xFFFF} },	// 97
 { 'b', { 0xFE00, 0xFEEE, 0xFEEE, 0xFEEE, 0xFF11, 0xFFFF} },
 { 'c', { 0xFF83, 0xFF7D, 0xFEFE, 0xFEFE, 0xFEFE, 0xFFFF} },
 { 'd', { 0xFE00, 0xFEFE, 0xFEFE, 0xFEFE, 0xFF01, 0xFFFF} },
 { 'e', { 0xFE00, 0xFEEE, 0xFEEE, 0xFEEE, 0xFEEE, 0xFFFF} },
 { 'f', { 0xFE00, 0xFFEE, 0xFFEE, 0xFFEE, 0xFFEE, 0xFFFF} },
 { 'g', { 0xFF01, 0xFEFE, 0xFEFE, 0xFEEE, 0xFE0E, 0xFFFF} },
 { 'h', { 0xFE00, 0xFFEF, 0xFFEF, 0xFFEF, 0xFE00, 0xFFFF} },
 { 'i', { 0xFEFE, 0xFE00, 0xFEFE, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 'j', { 0xFFFF, 0xFEFE, 0xFEFE, 0xFF00, 0xFFFE, 0xFFFF} },
 { 'k', { 0xFE00, 0xFFD7, 0xFFBB, 0xFF7D, 0xFEFE, 0xFFFF} },
 { 'l', { 0xFE00, 0xFEFF, 0xFEFF, 0xFEFF, 0xFEFF, 0xFFFF} },
 { 'm', { 0xFE00, 0xFFFD, 0xFFE3, 0xFFFD, 0xFE00, 0xFFFF} },
 { 'n', { 0xFE00, 0xFFFB, 0xFFF7, 0xFFEF, 0xFE00, 0xFFFF} },
 { 'o', { 0xFF01, 0xFEFE, 0xFEFE, 0xFEFE, 0xFF01, 0xFFFF} },
 { 'p', { 0xFE00, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFE1, 0xFFFF} },
 { 'q', { 0xFF01, 0xFEFE, 0xFC3E, 0xFEFE, 0xFF01, 0xFFFF} },
 { 'r', { 0xFE00, 0xFFEE, 0xFFEE, 0xFFCE, 0xFE31, 0xFFFF} },
 { 's', { 0xFF71, 0xFEEE, 0xFEEE, 0xFEEE, 0xFF1D, 0xFFFF} },
 { 't', { 0xFFFE, 0xFFFE, 0xFE00, 0xFFFE, 0xFFFE, 0xFFFF} },
 { 'u', { 0xFF00, 0xFEFF, 0xFEFF, 0xFEFF, 0xFF00, 0xFFFF} },
 { 'v', { 0xFFE0, 0xFF9F, 0xFE7F, 0xFF9F, 0xFFE0, 0xFFFF} },
 { 'w', { 0xFE00, 0xFF7F, 0xFF9F, 0xFF7F, 0xFE00, 0xFFFF} },
 { 'x', { 0xFE7C, 0xFFBB, 0xFFC7, 0xFFBB, 0xFE7C, 0xFFFF} },
 { 'y', { 0xFFFC, 0xFFFB, 0xFE07, 0xFFFB, 0xFFFC, 0xFFFF} },
 { 'z', { 0xFE7B, 0xFE9B, 0xFEEB, 0xFEF3, 0xFFFF, 0xFFFF} },
 { '{', { 0xFFFF, 0xFFEF, 0xFF11, 0xFEFE, 0xFFFF, 0xFFFF} },
 { '|', { 0xFFFF, 0xFFFF, 0xFE00, 0xFFFF, 0xFFFF, 0xFFFF} },
 { 125, { 0xFFFF, 0xFEFE, 0xFF11, 0xFFEF, 0xFFFF, 0xFFFF} },
 { 126, { 0xFF9F, 0xFFEF, 0xFFEF, 0xFF9F, 0xFF7F, 0xFF9F} },	// 
 { 127, { 0xFE00, 0xFEFE, 0xFEFE, 0xFEFE, 0xFEFE, 0xFE00} },
 { 0 , { 0, 0, 0, 0, 0, 0 } } };

const rom char jours[7][9] = { {"dimanche"},{"lundi"},{"mardi"},{"mercredi"},{"jeudi"},{"vendredi"},{"samedi"} };

const rom char mois[12][10] = { {"janvier"},{"fevrier"},{"mars"},{"avril"},{"mai"},{"juin"},{"juillet"},
 {"aout"},{"septembre"},{"octobre"},{"novembre"},{"decembre"} };

#pragma
