/******************************************************************************
* PIC USB
* interrupt.h
******************************************************************************/

#ifndef INTERRUPT_H
#define INTERRUPT_H

/** I N C L U D E S **********************************************************/
#include "typedefs.h"
#include "user.h"

/** D E F I N I T I O N S ****************************************************/
#define mEnableInterrupt()          INTCONbits.GIE = 1;

/** E X T E R N S ************************************************************/
//Pour la date complete
extern unsigned int yyyy;
extern char mm, dd;
extern unsigned char hrs, mins, secs;
extern unsigned char alhrs, almins;
extern FLAGBITS flags;

/** P R O T O T Y P E S ******************************************************/
void isr(void);
void lowisr(void);
char weekday(void);
unsigned char jourmois(void);

#endif //INTERRUPT_H
