unit Transfert;

interface
uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
     Dialogs, Buttons, StdCtrls, ComCtrls, ExtCtrls, USB2Lib, Strutils,
     dateutils, Menus;

type
  Tmodul = class(TForm)
    envcBtn: TBitBtn;
    BitBtn1: TBitBtn;
    texttxt: TEdit;
    Label1: TLabel;
    MainMenu1: TMainMenu;
    lire1: TMenuItem;
    texte1: TMenuItem;
    Vitesse11: TMenuItem;
    Inversevido1: TMenuItem;
    Heure1: TMenuItem;
    Date1: TMenuItem;
    emprature1: TMenuItem;
    Fontemini1: TMenuItem;
    Fontemaxi1: TMenuItem;
    Quitter1: TMenuItem;
    Envoyer1: TMenuItem;
    Bevel1: TBevel;
    Timer1: TTimer;
    m_sendtxt: TMenuItem;
    m_sendheur: TMenuItem;
    m_liretexte: TMenuItem;
    m_lireheure: TMenuItem;
    timelbl: TLabel;
    Beep1: TMenuItem;
    Alarme1: TMenuItem;
    m_alarm: TMenuItem;
    v0menu: TMenuItem;
    v1menu: TMenuItem;
    v2menu: TMenuItem;
    v3menu: TMenuItem;
    v4menu: TMenuItem;
    hrtxt: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    datetxt: TEdit;
    revtxt: TEdit;
    revchk: TCheckBox;
    procedure envcBtnClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Quitter1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure texttxtChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure m_liretexteClick(Sender: TObject);
    procedure m_sendtxtClick(Sender: TObject);
    procedure m_lireheureClick(Sender: TObject);
    procedure Inversevido1Click(Sender: TObject);
    procedure Heure1Click(Sender: TObject);
    procedure Date1Click(Sender: TObject);
    procedure emprature1Click(Sender: TObject);
    procedure Fontemini1Click(Sender: TObject);
    procedure Fontemaxi1Click(Sender: TObject);
    procedure m_flashyClick(Sender: TObject);
    procedure m_sendheurClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Beep1Click(Sender: TObject);
    procedure m_alarmClick(Sender: TObject);
    procedure v0menuClick(Sender: TObject);
    procedure v1menuClick(Sender: TObject);
    procedure v2menuClick(Sender: TObject);
    procedure v3menuClick(Sender: TObject);
    procedure v4menuClick(Sender: TObject);
    procedure revchkClick(Sender: TObject);
  public
 end;

{$I 'fonts.pas';}

const
 MP_WRITE = 0;
 MP_READ = 1;
 USB_EPSIZE = 64;

var
 modul: TForm;
 vidpid : string = 'vid_04d8&pid_000c';
 nlen:byte;
 InPipe, OutPipe: longint;
 rec: array [0..USB_EPSIZE-1] of byte;
 sd: array [0..USB_EPSIZE-1] of byte;
 sended, recv : integer;
 msgptr, scrptr, wide : integer;
 screen : array[0..30] of integer;
 msg , msg2: string;
 controle , flash, msg2ptr: byte;
 inverse : integer;
 alhrs, almins, alon:byte;
 hrs, mins, secs:byte;
 dd,mm,yyyy:word;
 var t:string;

{--------------------------------------------------------------------------}
implementation

{$R *.dfm}

procedure Tmodul.FormShow(Sender: TObject);
var
 n:integer;
 Forma : TFormatSettings;
begin
  wide := 8;
  for n:=0 to 30 do screen[n]:=$ffff;
  msgptr := 1;
  scrptr := wide;
  inverse:=0;
  flash:=0;
  alon :=0;

  //Message par defaut
  msg:='Journal Lumineux - Electronique Pratique 2009  ';
  texttxt.text := msg;

  //Voit si charger auto le texte du panneau ?
  if (MPUSBGetDeviceCount(pchar(vidpid))>0 ) then
  begin
   if MessageDlg('Lire la mmoire du Journal ?',mtConfirmation,[mbYes,mbNo],0)=mrYes then
    begin
      envoyer1.Enabled := true;
      lire1.Enabled := true;
      envcbtn.Enabled := true;
      bitbtn1.Enabled := true;
      BitBtn1Click(modul);
      m_lireheureClick(modul);
    end
   end
  else
   begin
     MessageDlg('Pas de Journal lumineux connect sur port USB.',mtConfirmation,[mbOk],0);
     hrtxt.Text := TimeToStr(time);
     GetLocaleFormatSettings(0, Forma);
     Forma.ShortDateFormat := 'dd/mm/yyyy';
     datetxt.Text := datetostr(time,Forma);
     hrs:=hourof(now);
     mins := minuteof(now);
     secs := secondof(now);
     dd := dayof(now);
     mm := monthof(now);
     yyyy :=yearof(now);
     envoyer1.Enabled := false;
     lire1.Enabled := false;
     envcbtn.Enabled := false;
     bitbtn1.Enabled := false;
   end;
end;


procedure Tmodul.envcBtnClick(Sender: TObject);
label
 usberror, finproc, notosend;
var
 ptstr, nn : byte;
 txt:string;
begin
 //Prend le texte (max 200 chars)
 txt := AnsiLeftStr(texttxt.Text , 199);
 if (txt='') then goto notosend;

 OutPipe := MPUSBOpen(0,pchar(vidpid),pchar('\MCHP_EP1'),MP_WRITE,0);
 InPipe :=MPUSBOpen(0,pchar(vidpid),pchar('\MCHP_EP1'), MP_READ,0);

 //Adresse de depart zone texte eeprom
 ptstr:=1;

 while (ptstr<=length(txt)) do
  begin
   //Vide les datas to send par defaut
   for nn:=2 to USB_EPSIZE-1 do sd[nn]:=0;
   //Lance l'ordre d'ecriture bloc de 64 octets
   sd[0] := $58;
   sd[1] := ptstr-1;
   for nn:=2 to USB_EPSIZE-1 do
    begin
     sd[nn] := ord(txt[ptstr]);
     ptstr := ptstr + 1;
     if ord(txt[ptstr])=0 then break;
    end;
   //Envoie le paquet de 64 octets
   If MPUSBWrite(outpipe, @sd, USB_EPSIZE, @sended, 1000) = 0 Then GoTo usberror;
  end;

 //Ferme les pipes USB
 MPUSBClose(inpipe);
 MPUSBClose(outpipe);

 MessageDlg('Texte envoy !',mtConfirmation,[mbOK],0);

 GoTo finproc;
notosend:
 MessageDlg('Aucun texte a envoyer !',mtError,[mbOK],0);
 goto finproc;
usberror:
 MessageDlg('Redmarrez , ou rebranchez la carte !',mtError,[mbOK],0);
finproc:
end;


procedure Tmodul.BitBtn1Click(Sender: TObject);
label
 errorrec, errorwr, finproc;
var txt:string;
 nn:byte;
begin
 OutPipe := MPUSBOpen(0,pchar(vidpid),pchar('\MCHP_EP1'),MP_WRITE,0);
 InPipe :=MPUSBOpen(0,pchar(vidpid),pchar('\MCHP_EP1'), MP_READ,0);

 ////////////////////////////////////////////////////////////////
 //            RELECTURE DU MESSAGE PANNEAU -> PC
 ////////////////////////////////////////////////////////////////

  //Lance l'ordre avec les sd(...) deja regles
  sd[0] := $85;
  sd[1] := 0;

  If MPUSBWrite(outpipe, @sd, USB_EPSIZE, @sended, 1000) = 0 Then GoTo errorwr;
  If MPUSBRead(inpipe, @rec, USB_EPSIZE, @recv, 6000) = 0 Then GoTo errorrec;

  //Teste accuse reception ok !
  if (rec[0]<>$AA) then goto errorrec;

  txt:='';
  nn:=2;
  while (nn<USB_EPSIZE) do
   begin
    if (rec[nn]=0) then break;
    txt := txt + chr(rec[nn]);
    nn := nn+1;
   end;

  if (txt='') then txt:=' ';
  texttxt.Text := txt;

 //Ferme les pipes USB
 MPUSBClose(inpipe);
 MPUSBClose(outpipe);

GoTo finproc;
errorwr:
 MessageDlg('R-essayez, ou Dbranchez & rebranchez la carte !',mtError,[mbOK],0);
goto finproc;
errorrec:
 MessageDlg('R-essayez, ou Dbranchez & rebranchez la carte !',mtError,[mbOK],0);
finproc:
end;

procedure Tmodul.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 application.Terminate;
end;


procedure Tmodul.Quitter1Click(Sender: TObject);
begin
 application.Terminate;
end;


procedure Tmodul.Timer1Timer(Sender: TObject);
var
 bmp1, bmp0 : TBitmap;
 x,y, cols,rows, poids : integer;
 c : byte;
begin
 Bmp0 := TBitmap.Create;
 Bmp0.LoadFromFile('led_gris.bmp');
 Bmp1 := TBitmap.Create;
 Bmp1.LoadFromFile('led_bleu.bmp');
 x:=bevel1.left+15;
 for cols:=1 to 20 do
 begin
   y:=bevel1.Top + 15;
   poids :=1;
   for rows:=1 to 10 do
   begin
     if (screen[cols] and poids)=flash*poids then
       Canvas.Draw(x, y, Bmp1)
     else
       Canvas.Draw(x, y, Bmp0);
     //Bit suivant
     y:= y + 18;
     poids := poids *2;
   end;
   x:= x + 18;
 end;
 bmp0.free;
 Bmp1.Free;

 //Fait defilement
 for x:=0 to 28 do screen[x] := screen[x + 1];

 //Voit si char a afficher
 if (scrptr=0) then
  begin
    scrptr := wide - 1;

    //---Si Char de controle # en cours de traitement ----------
    // #H -> Affichage de l'heure du type HH:MM:SS
    // #D -> Affichage de la date Joursemaine dd mois annee en texte
    // #I -> Inverse video
    // #0,#1,#2,#3,#4 -> Vitesse lente a rapide
    // #P -> Petits caracteres de 6 colonnes
    // #N -> Caracteres normaux 8 colonnes
    // #T insere la temperature
    // #B fait un beep

	  //Prend nouveau char (dans msg2[] si heure/date... ou msg[] pour texte
    if (msg2ptr<>0) then
     begin
       c:= ord(msg2[msg2ptr]);
       msg2ptr:=msg2ptr + 1;
       if ( msg2ptr>length(msg2) ) then msg2ptr:=0;
     end
    else
     begin
       c := ord(msg[msgptr]);
       //Repart debut message
       if (c>126) then c:=32;
       //Test si fin de message
       if (c<32) then msgptr:=1 else msgptr:=msgptr+1;
     end;

    //Traite les car de controle
    if (controle=1) then
      begin
        controle:=0;
        case c of
        ord('H'):begin
                 msg2:=TimeToStr(time);
                 msg2ptr:=1;
                 end;
        ord('D'):begin
                 msg2:=jours[DayOfTheWeek(date)]+' '+ inttostr(DayOfTheMonth(date))+' ';
                 msg2:=msg2+mois[MonthOf(date)]+' '+inttostr(yearof(date));
                 msg2ptr:=1;
                 end;
        ord('I'):inverse:=(65535-inverse);
        ord('P'):wide:=6;
        ord('N'):wide:=8;
        ord('B'):beep;
        end;
      end

    else
     //Test si prefixe Caractere de controle
     if (c=ord('#')) then
       controle:=1
     else
      begin
        //Va chercher dans fonte
       if (wide=8) then for x:=0 to 7 do  screen[20+x]:= inverse xor car8[ c , 1 + x ];
       if (wide=6) then for x:=0 to 5 do  screen[20+x]:= inverse xor car6[ c , 1 + x ];
      end
  end // fin if (scrptr=0)
 else
   scrptr := scrptr - 1;
end;

procedure Tmodul.texttxtChange(Sender: TObject);
begin
  msg := texttxt.Text;
  if msg='' then msg:=' ';
end;

procedure Tmodul.m_liretexteClick(Sender: TObject);
begin
 BitBtn1Click(modul);
end;

procedure Tmodul.m_sendtxtClick(Sender: TObject);
begin
 envcBtnClick(modul);
end;

procedure Tmodul.m_lireheureClick(Sender: TObject);
label
 errorrec, errorwr, finproc;
begin
 OutPipe := MPUSBOpen(0,pchar(vidpid),pchar('\MCHP_EP1'),MP_WRITE,0);
 InPipe :=MPUSBOpen(0,pchar(vidpid),pchar('\MCHP_EP1'), MP_READ,0);

 ////////////////////////////////////////////////////////////////
 //            RELECTURE HEURE DATE DU PANNEAU -> PC
 ////////////////////////////////////////////////////////////////

 //Lance l'ordre lecture date sd(0)
 sd[0] := $43;
 sd[1] := 0;

 If MPUSBWrite(outpipe, @sd, USB_EPSIZE, @sended, 1000) = 0 Then GoTo errorwr;
 If MPUSBRead(inpipe, @rec, USB_EPSIZE, @recv, 5000) = 0 Then GoTo errorrec;

 //Teste accuse reception ok !
 if (rec[0]<>$AA) then goto errorrec;

 //On a hh:mm:ss:dd:mm:yyyy
 hrs:=rec[1];
 mins:=rec[2];
 secs:=rec[3];

 if (hrs>23) or (mins>59) or (secs>59) then MessageDlg('L"Heure du montage est incorrecte !',mtError,[mbOK],0);

 dd:=rec[4];
 mm:=rec[5];
 yyyy:=(256*rec[6])+rec[7] ;
 if (mm>12) or (dd>31) then MessageDlg('La date du panneau est incorrecte !',mtError,[mbOK],0);

 alhrs :=rec[8];
 almins :=rec[9];

 hrtxt.text  := inttostr(hrs)+':'+inttostr(mins)+':'+inttostr(secs);
 datetxt.text  :=inttostr(dd)+'/'+inttostr(mm)+'/'+inttostr(yyyy);
 if (rec[10]<>0) then
  begin
   alon := 1;
   revchk.Checked :=true;
   revtxt.text := inttostr(alhrs)+':'+inttostr(almins);
   m_alarm.Caption :='dsactiver sonnerie de '+inttostr(alhrs)+':'+inttostr(almins);
  end
 else
  begin
    alon := 0;
    revchk.Checked :=false;
    revtxt.text :=' ';
    m_alarm.Caption :='Activer';
  end;

 //Ferme les pipes USB
 MPUSBClose(inpipe);
 MPUSBClose(outpipe);

GoTo finproc;
errorwr:
 MessageDlg('Erreur ecriture usb - Dbranchez & rebranchez la carte !',mtError,[mbOK],0);
goto finproc;
errorrec:
 MessageDlg('Erreur lecture usb - Dbranchez & rebranchez la carte !',mtError,[mbOK],0);
finproc:
end;

procedure Tmodul.Inversevido1Click(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#I',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.Heure1Click(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#H',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.Date1Click(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#D',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.emprature1Click(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#T',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.Fontemini1Click(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#P',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.Fontemaxi1Click(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#N',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.m_flashyClick(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#F',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.m_sendheurClick(Sender: TObject);
label
 usberror, finproc;
var nn : integer;
begin
 OutPipe := MPUSBOpen(0,pchar(vidpid),pchar('\MCHP_EP1'),MP_WRITE,0);
 InPipe :=MPUSBOpen(0,pchar(vidpid),pchar('\MCHP_EP1'), MP_READ,0);

 //Lance l'ordre d'ecriture Heure / Date
 sd[0] := $34;
 sd[1] := hrs;
 sd[2] := mins;
 sd[3] := secs;

 sd[4] := dd;
 sd[5] := mm;
 sd[6] := yyyy div 256;
 sd[7] := yyyy mod 256;

 sd[10] := alon;
 sd[8] := alhrs;
 sd[9] := almins;

 //Envoie le paquet de 64 octets
 If MPUSBWrite(outpipe, @sd, USB_EPSIZE, @sended, 1000) = 0 Then GoTo usberror;
 If MPUSBRead(inpipe, @rec, USB_EPSIZE, @recv, 5000) = 0 Then GoTo usberror;

 //Ferme les pipes USB
 MPUSBClose(inpipe);
 MPUSBClose(outpipe);

 MessageDlg('Heure / Date / Alarme mises  jour !',mtConfirmation,[mbOK],0);

 goto finproc;
usberror:
 MessageDlg('Erreur usb - Dbranchez & rebranchez la carte !',mtError,[mbOK],0);
finproc:

end;

procedure Tmodul.FormCreate(Sender: TObject);
begin
if not ChargerDLL then
  begin
    showmessage('La librairie MPUSBAPI.DLL est introuvable !');
    application.Terminate;
  end;
end;

procedure Tmodul.Beep1Click(Sender: TObject);
var t:string;
begin
 t := texttxt.Text;
 insert('#B',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.m_AlarmClick(Sender: TObject);
var t:string;
var p: byte;
begin
 if m_alarm.caption='&Activer' then
  begin
    if InputQuery('Rveil','Entrez l`heure de rveil... (ex. 12:34)',t) then
    begin
      p:=ansipos(':',t);
      if (p>0) then
       begin
        m_alarm.Caption := 'dsactiver sonnerie de ' + t;
        alhrs := strtoint(AnsiLeftStr(t,p-1));
        almins := strtoint(AnsimidStr(t,p+1,2));
        timelbl.Caption  := 'Heure '+inttostr(hrs)+':'+inttostr(mins)+':'+inttostr(secs);
        timelbl.Caption  :=timelbl.Caption +'    Date '+inttostr(dd)+'/'+inttostr(mm)+'/'+inttostr(yyyy);
        timelbl.Caption  :=timelbl.Caption + '    Rveil activ '+inttostr(alhrs)+':'+inttostr(almins);
        alon := 1;
       end
      else
       showmessage('Heure incorrecte !');
    end
  end
 else
  m_alarm.Caption :='&Activer';
end;

procedure Tmodul.v0menuClick(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#0',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.v1menuClick(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#1',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.v2menuClick(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#2',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.v3menuClick(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#3',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.v4menuClick(Sender: TObject);
begin
 t := texttxt.Text;
 insert('#4',t,texttxt.SelStart);
 texttxt.Text :=t;
end;

procedure Tmodul.revchkClick(Sender: TObject);
begin
  if revchk.Checked then
   begin
    alon:=1;
    revtxt.Enabled :=true;
   end
  else
   begin
    revtxt.Enabled :=false;
    alon := 0;
   end;
end;

end.
