/*********************************************************************
 *		Oscillo PIC
 *			Microchip USB C18 Firmware Version 1.0
 *********************************************************************
 * FileName:        io_cfg.h
 * Processor:       PIC18
 * Compiler:        C18 2.30.01+
 ********************************************************************/

#ifndef IO_CFG_H
#define IO_CFG_H

/** I N C L U D E S *************************************************/
#include "usbcfg.h"

/** T R I S *********************************************************/
#define INPUT_PIN           1
#define OUTPUT_PIN          0

/** DEFINITION DES PATTES UTILES***************************************************/

#define usb_bus_sense       1
#define self_power          1


//Definition des pattes I/O perso
#define K_plus		PORTAbits.RA5

#define K_moins		PORTAbits.RA1
#define BUZZ		PORTAbits.RA1

#define K_setup		PORTBbits.RB7

#define	RAZ1		PORTCbits.RC6		// raz demi-panneau gauche
#define RAZ2		PORTCbits.RC2

#define CLOCK		PORTCbits.RC7

#endif //IO_CFG_H
